Description

Hi,

Summary:

After updating from 1.8 to 1.9 RC2 we found out that importing new puppet classes did not get imported anymore.

Some facts:

after ugrade one class could get imported after this one it did not find any new classes

setenforce 0 or 1 makes no difference

importing new environments does work

deleted classes get detected properly

no errors/exception even in debug mode

sudo -u foreman-proxy cat /etc/puppet/environments/production/modules/lh_nodes/manifests/<class> does work

Workaround

What we did is renaming the /var/cache/foreman-proxy/ json file. After this it did detect new classes proper.

Related issues:

Related to Smart Proxy - Bug #10941: puppet classes cache not working right Closed 06/26/2015

Related to Smart Proxy - Bug #11311: Puppet module tests shouldn't depend on ... Closed 08/07/2015

Associated revisions

Revision e86db516 - 08/03/2015 08:28 AM - Dmitri Dolguikh 

Fixes #11229: changes in puppet modules are now being detected when listing available puppet classes

History

#1 - 07/28/2015 04:04 AM - Dominic Cleal

- Related to Bug #11131: Intermittent Puppet class cache test with timestamps added

#2 - 07/28/2015 04:05 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category changed from Smart Proxy to Puppet

- translation missing: en.field_release set to 35

#3 - 07/28/2015 04:13 AM - Dominic Cleal

- Related to deleted (Bug #11131: Intermittent Puppet class cache test with timestamps)

#4 - 07/28/2015 04:13 AM - Dominic Cleal

- Related to Bug #10941: puppet classes cache not working right added
#5 - 07/28/2015 04:25 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#6 - 07/28/2015 07:54 AM - Anonymous

Is it possible to attach cache files to this issue? The one that got renamed and the one after all classes have been detected.

What version of ruby are you using? Would it be possible to attach the smart-proxy log which includes the first (failed) puppet class import after the

upgrade?

#7 - 07/28/2015 08:35 AM - Gerwin Krist

- File cache_production.json added

Sure! ruby-2.0.0.598-25.el7_1.x86_64

I included the json file. Can I mail you the other file (kinda private stuff in it)

#8 - 07/28/2015 08:40 AM - Anonymous

I assume that's the cache after all puppet classes have been discovered? Do you have the cache file from when you were having issues described in

this ticket? My email is ddolguik at redhat. Thanks!

#9 - 07/31/2015 09:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/304 added

- Pull request deleted ()

#10 - 08/03/2015 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e86db51679502fc3e9ba0b52545b8baf0bd9d542.

#11 - 08/07/2015 10:09 AM - Dominic Cleal

- Related to Bug #11311: Puppet module tests shouldn't depend on existence of /etc/puppet/puppet.conf added

#12 - 08/10/2015 01:54 AM - Gerwin Krist

FYI I tested RC3 on our deployment and tested:

new sub-module under a module

complete new module

BOTH new classes get picked up by the importer.

Files

cache_production.json 15.8 KB 07/28/2015 Gerwin Krist
